org.apache.ignite.springdata20.repository.support

## Class IgniteRepositoryFactoryBean<T extends org.springframework.data.repository.Repository<V,K>,V,K extends Serializable>

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,V,K>
  - - org.apache.ignite.springdata20.repository.support.IgniteRepositoryFactoryBean<T,V,K>

- Type Parameters:
    `T` - Repository type, `IgniteRepository`
    `V` - Domain object class.
    `K` - Domain object key, super expects `Serializable`.
  All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.FactoryBean<T>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.context.ApplicationEventPublisherAware, org.springframework.data.repository.core.support.RepositoryFactoryInformation<V,K>

      public class IgniteRepositoryFactoryBean<T extends org.springframework.data.repository.Repository<V,K>,V,K extends Serializable>
      extends org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,V,K>
      implements org.springframework.context.ApplicationContextAware

  Apache Ignite repository factory bean.

  The `RepositoryConfig` requires to define one of the parameters below in your Spring application configuration in order to get an access to Apache Ignite cluster:

  - `Ignite` instance bean named "igniteInstance" by default
  - `IgniteConfiguration` bean named "igniteCfg" by default
  - A path to Ignite's Spring XML configuration named "igniteSpringCfgPath" by default

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IgniteRepositoryFactoryBean(Class<? extends T> repoInterface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.data.repository.core.support.RepositoryFactorySupport` | `createRepositoryFactory()`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`

    - ### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport

      `afterPropertiesSet, getEntityInformation, getObject, getObjectType, getPersistentEntity, getQueryMethods, getRepositoryInformation, isSingleton, setApplicationEventPublisher, setBeanClassLoader, setBeanFactory, setCustomImplementation, setEvaluationContextProvider, setLazyInit, setMappingContext, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass, setRepositoryFragments`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteRepositoryFactoryBean

          protected IgniteRepositoryFactoryBean(Class<? extends T> repoInterface)

      Parameters:
        `repoInterface` - Repository interface.

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext ctx)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### createRepositoryFactory

          protected org.springframework.data.repository.core.support.RepositoryFactorySupport createRepositoryFactory()

      Specified by:
        `createRepositoryFactory` in class `org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T extends org.springframework.data.repository.Repository<V,K>,V,K extends Serializable>`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020